if (not ItemDataCache) then ItemDataCache = {} end
local ItemDataCache=ItemDataCache
if (not ItemDataCache.Get) then ItemDataCache.Get = {} end
if (not ItemDataCache.OnUpdate) then ItemDataCache.OnUpdate = {} end

function ItemDataCache.OnUpdate.ByID_selltovendor()
end

-- TODO: cache as local
function ItemDataCache.Get.ByID_selltovendor(itemID, ...)
	local onlyStatic=...
	return ((not onlyStatic and (ItemDataCacheLocal and ItemDataCacheLocal.ByID_selltovendor and ItemDataCacheLocal.ByID_selltovendor[itemID])) or
		ItemDataCache_ByID_selltovendor[itemID] or ItemDataCacheE_ByID_selltovendor[itemID])
end